Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.jasperreports.util
Class JRQueryExecuterAdapter.JSDataset

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseDataset
          com.jaspersoft.jasperserver.api.engine.jasperreports.util.JRQueryExecuterAdapter.JSDataset

All Implemented Interfaces:
  java.io.Serializable, net.sf.jasperreports.engine.JRDataset, net.sf.jasperreports.engine.JRPropertiesHolder

Enclosing class:
  JRQueryExecuterAdapter

    protected static class JRQueryExecuterAdapter.JSDataset

extends net.sf.jasperreports.engine.base.JRBaseDataset

See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseDataset
`fields, filterExpression, groups, isMain, name, parameters, propertiesMap, query, resourceBundle, scriptletClass, sortFields, variables, whenResourceMissingType`

Fields inherited from interface net.sf.jasperreports.engine.JRDataset
`WHEN_RESOURCE_MISSING_TYPE_EMPTY, WHEN_RESOURCE_MISSING_TYPE_ERROR, WHEN_RESOURCE_MISSING_TYPE_KEY, WHEN_RESOURCE_MISSING_TYPE_NULL`

Constructor Summary
`JRQueryExecuterAdapter.JSDataset(java.lang.String name, net.sf.jasperreports.engine.JRParameter[] parameters, net.sf.jasperreports.engine.JRField[] fields, net.sf.jasperreports.engine.JRQuery query)`

Method Summary
`net.sf.jasperreports.engine.JRField` | `getField(java.lang.String column)`

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseDataset
`getFields, getFilterExpression, getGroups, getName, getParameters, getPropertiesMap, getQuery, getResourceBundle, getScriptletClass, getSortFields, getVariables, getWhenResourceMissingType, isMainDataset, setWhenResourceMissingType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRQueryExecuterAdapter.JSDataset

    public JRQueryExecuterAdapter.JSDataset(java.lang.String name,
                                            net.sf.jasperreports.engine.JRParameter[] parameters,
                                            net.sf.jasperreports.engine.JRField[] fields,
                                            net.sf.jasperreports.engine.JRQuery query)

Method Detail

### getField

    public net.sf.jasperreports.engine.JRField getField(java.lang.String column)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.